VismaBouwsoftAPICalls.v1_GET_Payments Method
v1_GET_Payments() as String

This API call is used to get fields of a(n) Payment(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /Payments/
or
API Path: /Payments/{id}
or
API Path: /Payments/FieldInfo/

You can make this API call:
* without the key field id to get a list of Payments
* with the key field id as the path parameter (the specific id of the Payment you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
purchaseinvoice_id 1 tpLong 0 No Yes No
purchaseinvoice_nr 1 tpLong 0 No No No
salesinvoice_id 1 tpLong 0 No Yes No
salesinvoice_type 2 tpString 50 No No No
salesinvoice_nr 1 tpLong 0 No No No
address_id 1 tpLong 0 No Yes No
address_name 2 tpString 150 No No No
paymentaccount_id 1 tpLong 0 No Yes No
paymentaccount_nr 2 tpString 100 No No No
paymentaccount_name 2 tpString 150 No No No
date 3 tpDate 0 No Yes No
amount 8 tpCurrency 0 No Yes No
paymentmethod 2 tpString 0 No No No
paymentmethod_localized 2 tpString 0 No No No
advance 5 tpBool 0 No No No
iban 2 tpString 35 No Yes No
bic 2 tpString 11 No Yes No
note 2 tpString 0 No Yes No
docnr 2 tpString 50 No Yes No
statementnr 2 tpString 50 No Yes No
externalcode 2 tpString 250 No Yes No
externalsource 1 tpLong 0 No No No
ts_lastupdate 3 tpDate 0 No No No

/Payments/

API Path: /Payments/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Payments

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: PbffWxfDbmzSftlbtfzRqkDVfGGGfGObflAkzOfOUfmGtAVAbl

Query Parameters :
ParameterName: filter, ParameterValue: purchaseinvoice_id eq 937

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 903,
    "purchaseinvoice_id": 937,
    "purchaseinvoice_nr": 202000142,
    "salesinvoice_id": 0,
    "salesinvoice_type": "",
    "salesinvoice_nr": 0,
    "address_id": 329299,
    "address_name": "DirkAPISupp",
    "paymentaccount_id": 0,
    "paymentaccount_nr": "",
    "paymentaccount_name": "",
    "date": "2026–05–07",
    "amount": –167.25,
    "paymentmethod": "",
    "paymentmethod_localized": "",
    "advance": false,
    "iban": "",
    "bic": "",
    "note": "",
    "docnr": "",
    "statementnr": "",
    "externalcode": "",
    "externalsource": 0,
    "ts_lastupdate": "2026–05–07 09:20:13"
  }
]
}

https://ra.bouwsoft.be/api/v1/Payments

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: mOlfWxfDjrzSfOjVlfzRqlAjfbrbfGtbfDlkzGrkOmjGVmrlDO

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/813”, “Records”: [
  {
    "id": 1,
    "purchaseinvoice_id": 60,
    "purchaseinvoice_nr": 20120041,
    "salesinvoice_id": 0,
    "salesinvoice_type": "",
    "salesinvoice_nr": 0,
    "address_id": 15895,
    "address_name": "AB ELECTRO",
    "paymentaccount_id": 0,
    "paymentaccount_nr": "",
    "paymentaccount_name": "",
    "date": "2018–06–20",
    "amount": 101.0,
    "paymentmethod": "Overschrijving",
    "paymentmethod_localized": "Bank transfer",
    "advance": false,
    "iban": "",
    "bic": "",
    "note": "test",
    "docnr": "abc12",
    "statementnr": "001",
    "externalcode": "",
    "externalsource": 0,
    "ts_lastupdate": "2024–05–23 09:58:45"
  },
  {
    "id": 2,
    "purchaseinvoice_id": 0,
    "purchaseinvoice_nr": 0,
    "salesinvoice_id": 6566,
    "salesinvoice_type": "FAKTUUR",
    "salesinvoice_nr": 201814018,
    "address_id": 0,
    "address_name": "",
    "paymentaccount_id": 0,
    "paymentaccount_nr": "",
    "paymentaccount_name": "",
    "date": "2018–06–20",
    "amount": 0.0,
    "paymentmethod": "",
    "paymentmethod_localized": "",
    "advance": false,
    "iban": "",
    "bic": "",
    "note": "",
    "docnr": "456",
    "statementnr": "001",
    "externalcode": "",
    "externalsource": 0,
    "ts_lastupdate": "2024–05–23 09:58:45"
  }
,

]
}

/Payments/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Payments/903

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: mOlfWxfDjrzSfOjVlfzRqlAjfbrbfGtbfDlkzGrkOmjGVmrlDO

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 903,
    "purchaseinvoice_id": 208,
    "purchaseinvoice_nr": 20160041,
    "salesinvoice_id": 0,
    "salesinvoice_type": "",
    "salesinvoice_nr": 0,
    "address_id": 18942,
    "address_name": "Spike Needle",
    "paymentaccount_id": 1,
    "paymentaccount_nr": "BE67 0013 3231 34 87",
    "paymentaccount_name": "Use IT Group NV",
    "date": "2026–05–07",
    "amount": –50.0,
    "paymentmethod": "",
    "paymentmethod_localized": "",
    "advance": false,
    "iban": "BE38750608132972",
    "bic": "AXAB BE 22",
    "note": "",
    "docnr": "",
    "statementnr": "",
    "externalcode": "",
    "externalsource": 0,
    "ts_lastupdate": "2026–05–07 09:21:28"
  }
]
}

/Payments/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Payments/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: ffjfWxfODjzSfPGtOtzRqUUUfkGUIOrmjIAtzOttOjVGrUAkrO
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "purchaseinvoice_id",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": true,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "purchaseinvoice_nr",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]